# Uses of Interface
org.opensaml.xmlsec.signature.support.SignerProvider

Packages that use SignerProvider
Package
Description
org.opensaml.xmlsec.signature.support
Functional support for XML Signature.
org.opensaml.xmlsec.signature.support.impl.provider
Provides Santuario-specific implementation of signing and validation.

## Uses of SignerProvider in org.opensaml.xmlsec.signature.support

Fields in org.opensaml.xmlsec.signature.support declared as SignerProvider
Modifier and Type
Field
Description
`private static SignerProvider`
Signer.`signerInstance`
The cached signer provider instance to use.
Methods in org.opensaml.xmlsec.signature.support that return SignerProvider
Modifier and Type
Method
Description
`private static SignerProvider`
Signer.`getSignerProvider()`
Obtain the `SignerProvider` instance to be used.

## Uses of SignerProvider in org.opensaml.xmlsec.signature.support.impl.provider

Classes in org.opensaml.xmlsec.signature.support.impl.provider that implement SignerProvider
Modifier and Type
Class
Description
`class`
`ApacheSantuarioSignerProviderImpl`
Implementation of `SignerProvider` which is based on the Apache Santuario library and is used with `Signature` instances which are instances of `SignatureImpl`.